<div class="modal fade right" id="sidebar-right-to-add" tabindex="-1" role="dialog" >
  <div class="modal-dialog modal-full-height modal-lg  modal-right" role="document">
    <div class="modal-content">
      <div class="modal-header"  >
        <button type="button" class="close" id="modal-close" data-dismiss="modal" (click)="closePopup()"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title uppercase">Add {{assetSelectedType}}</h4>
      </div>
      <div class="modal-body" >
        <app-asset-form [formConfigData]="assetFromConfig" [assetSelectedType]="assetSelectedType" (savedAssetCard)="savedAssetCard($event)" (assetRegistrationErrorMsg)="assetRegistrationErrorMsg($event)"  ></app-asset-form>
      </div>

      <div *ngIf="showCircularLoader">
        <app-circular-loader></app-circular-loader>
      </div>

    </div>
  </div>
</div>

